package com.platform.yijia.pojo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/***
 * 积分规则实体类
 */
@Data
public class IntegralRule {
    private Integer id;                             //'主键id',
    private Integer stationId;                      //'油站id',
    private String stationName;                     //'油站名称',
    private String ruleType;                        //'订单积分计算规则类型（1以订单实付累计 2以订单应付累计）',
    private String termDateManage;                  //'有效期设置',
    private Date emptyDate;                         //'清空积分时间',
    private String expirationReminder;              //'到期提醒设置',
    private Date remindDate;                        //'提醒时间设置',
    private String integralActivity;                //'积分活动设置',
    private String datePicker;                      //'日期选择',
    private String integralProportion;              //'积分比例',
    private String integralDeductionOil;      //'积分抵扣油品规则',
    private List<IntegralRuleDetail> integralRuleDetailList;  //积分规则明细实体类
    private String oilName;        //'油品名称',
}
